hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "stack (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-9955) Make hadoop2 the default and deprecate hadoop1
Date Fri, 06 Dec 2013 01:01:39 GMT

    [ https://issues.apache.org/jira/browse/HBASE-9955?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13840761#comment-13840761
] 

stack commented on HBASE-9955:
------------------------------

This is mvn bullshit.

The test script is doing this:
{code}
durruti:trunk stack$ mvn clean test -DskipTests -Dhadoop.profile=2.0
{code}

... which give us this:

{code}
[INFO] Scanning for projects...
[ERROR] The build could not read 1 project -> [Help 1]
[ERROR]
[ERROR]   The project org.apache.hbase:hbase:0.97.0-SNAPSHOT (/Users/stack/checkouts/trunk/pom.xml)
has 2 errors
[ERROR]     'dependencyManagement.dependencies.dependency.artifactId' for org.apache.hbase:${compat.module}:jar
with value '${compat.module}' does not match a valid id pattern. @ line 997, column 21
[ERROR]     'dependencyManagement.dependencies.dependency.artifactId' for org.apache.hbase:${compat.module}:test-jar
with value '${compat.module}' does not match a valid id pattern. @ line 1002, column 21
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following
articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException
{code}

Turns out the above happens whenever we specify the default profile.  You will see the above
if you pass hadoop 1.1. profile, our current default too.

> Make hadoop2 the default and deprecate hadoop1
> ----------------------------------------------
>
>                 Key: HBASE-9955
>                 URL: https://issues.apache.org/jira/browse/HBASE-9955
>             Project: HBase
>          Issue Type: Task
>            Reporter: stack
>            Assignee: stack
>             Fix For: 0.98.0
>
>         Attachments: 9955.txt, 9955v2.txt, 9955v3.txt
>
>
> See "Hadoop version trunk dependency?" on the dev mailing ilst.  Consensus seems to be
forming to do the subject line (Recheck the mail thread before going ahead).



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message